﻿@model IEnumerable<footlucker.Models.Branch>
@using Microsoft.AspNetCore.Http
@{
    ViewData["Title"] = "Index";
}

<div class='page_title_container'>
    <h2 class='page_title'>מסך סניפים</h2>
</div>

@{
    var isAdmin = Context.Session.GetString("isAdmin") == "true" ? true : false;
    if (isAdmin)
    {
        <div class='page_plus_button branches_index_plus_button'>
            <a class='page_plus_text' asp-action="Create">+</a>
        </div>
    }
}



<div class='page_content_container branches_content_container'>
    <div class="branches_map_table_container">
        <div class='branches_form_table_container'>
            <form asp-action="Index" method="get">
                <div class="form-actions no-color">
                    <div class='advanced_search_fields branches_search'>
                        <div>@Html.DisplayNameFor(model => model.Name)</div>
                        <input type="text" name="Name" class="form-control advanced_search_field" value=@ViewData["BranchesNameQuery"] />
                        <div class='advanced_search_field'>@Html.DisplayNameFor(model => model.City)</div>
                        <input type="text" name="City" class="form-control advanced_search_field" value=@ViewData["BranchesCityQuery"] />
                        <div class='advanced_search_field'>@Html.DisplayNameFor(model => model.Address)</div>
                        <input type="text" name="Address" class="form-control advanced_search_field" value=@ViewData["BranchesAddressQuery"] />
                    </div>
                    <div class='advanced_search_submit branches_search'>
                        <input placeholder="ערך חיפוש" type="submit" value="חפש" class="btn btn-default button" />
                        <a asp-action="Index">בחזרה לרשימה מלאה</a>
                    </div>
                </div>
            </form>
            <table class="table branches_table">
                <thead>
                    <tr>
                        <th></th>
                        <th class="index-table-th">
                            @Html.DisplayNameFor(model => model.IsSaturday)
                        </th>
                        <th class="index-table-th">
                            @Html.DisplayNameFor(model => model.Telephone)
                        </th>
                        <th class="index-table-th">
                            @Html.DisplayNameFor(model => model.Address)
                        </th>
                        <th class="index-table-th">
                            @Html.DisplayNameFor(model => model.City)
                        </th>
                        <th class="index-table-th">
                            @Html.DisplayNameFor(model => model.Name)
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var item in Model)
                    {
                    <tr>
                        <td>
                            @{
                                //var isAdmin = Context.Session.GetString("isAdmin") == "true" ? true : false;
                                if (isAdmin)
                                {
                                    <div>
                                        <a asp-action="Edit" asp-route-id="@item.Id">ערוך</a> |
                                        <a asp-action="Delete" asp-route-id="@item.Id">מחק</a>
                                    </div>
                                }
                            }
                        </td>
                        <td>
                            @{
                                if (item.IsSaturday)
                                { <text>כן</text> }
                            else
                            { <text>לא</text> }
                            }
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Telephone)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Address)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.City)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Name)
                        </td>
                    </tr>
                    }
                </tbody>
            </table>
        </div>
        <div id="branches_index_map" class="branches_index_map"></div>
    </div>
</div>


<script>
    var map;
    function initMap() {
        map = new google.maps.Map(document.getElementById('branches_index_map'), {
            center: { lat: 31.771, lng: 35.217 },
            zoom: 9
        });

        //var marker = new google.maps.Marker({
            //position: { lat: 31.771, lng: 35.217 },
            //map: map,
            //animation: google.maps.Animation.DROP,
          //  title: 'Hello World!'
        //});

        var branches = [];
        @foreach(var x in Model)
        {
            @: branches.push({ lat: @x.Lat, lng: @x.Long, name: '@x.Name', city: '@x.City', address: '@x.Address', phone: '@x.Telephone' });
        }

        branches.map(x => {
            var marker = new google.maps.Marker({
                position: { lat: x.lat, lng: x.lng },
                animation: google.maps.Animation.DROP,
                map: map
            });

            var infowindow = new google.maps.InfoWindow({
                content: generateContent(x)
            });

            marker.addListener('click', function () {
                infowindow.open(map, marker);
            });
        });
    }

    function generateContent(branch) {
        return '<div class="branches_map_window_info">' +
            '<div>שם סניף: ' + branch.name + '<div></br>' +
            '<div>עיר: ' + branch.city + '<div></br>' +
            '<div>כתובת: ' + branch.address + '<div></br>' +
            '<div>טלפון: ' + branch.phone + '<div></br>' +
       '</div>'
    }
</script>
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCHAZzg-GFQtdb922AM04UgHnFcEcZs_dg&callback=initMap&language=iw&region=IL"
        async defer asp-append-version="true"></script>
